# Uses of Class
org.codehaus.janino.Java.LocalClassDeclaration

Packages that use Java.LocalClassDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.LocalClassDeclaration in org.codehaus.janino

Fields in org.codehaus.janino declared as Java.LocalClassDeclaration
Modifier and Type
Field
Description
`final Java.LocalClassDeclaration`
Java.LocalClassDeclarationStatement.`lcd`
The class declaration that poses the body of the statement.
Methods in org.codehaus.janino with parameters of type Java.LocalClassDeclaration
Modifier and Type
Method
Description
`R`
Visitor.TypeDeclarationVisitor.`visitLocalClassDeclaration(Java.LocalClassDeclaration lcd)`
Invoked by `accept(Visitor.TypeDeclarationVisitor)`
Constructors in org.codehaus.janino with parameters of type Java.LocalClassDeclaration
Modifier
Constructor
Description
``
`LocalClassDeclarationStatement(Java.LocalClassDeclaration lcd)`

## Uses of Java.LocalClassDeclaration in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.LocalClassDeclaration
Modifier and Type
Method
Description
`Java.LocalClassDeclaration`
DeepCopier.`copyLocalClassDeclaration(Java.LocalClassDeclaration subject)`
Methods in org.codehaus.janino.util with parameters of type Java.LocalClassDeclaration
Modifier and Type
Method
Description
`Java.LocalClassDeclaration`
DeepCopier.`copyLocalClassDeclaration(Java.LocalClassDeclaration subject)`
`void`
AbstractTraverser.`traverseLocalClassDeclaration(Java.LocalClassDeclaration lcd)`
`void`
Traverser.`traverseLocalClassDeclaration(Java.LocalClassDeclaration lcd)`